Page MenuHomePhabricator

Meta translation state drop down not working/not able to change status
Closed, ResolvedPublic

Description

The state selector drop down for the translation extension on meta (normally allowing you to change the current status of the translation) is currently showing only (not set) or $1 and the drop down is empty. This is mostly an issue for centralNotice translations which rely on switching the status to published in order to push the translations live. This is currently only possible through the API.

Example: https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=Centralnotice-tgroup-Election2015_BoardSubmission&filter=&language=de&action=translate

Event Timeline

Jalexander updated the task description. (Show Details)
Jalexander raised the priority of this task from to Unbreak Now!.
Jalexander assigned this task to ori.
Jalexander added a subscriber: Jalexander.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2015, 9:56 PM
Krenair updated the task description. (Show Details)May 2 2015, 10:02 PM
Krenair set Security to None.
ori reassigned this task from ori to Nikerabbit.May 2 2015, 10:21 PM
ori added subscribers: Nikerabbit, ori.

Fixed in production (1.26wmf3 and 1.26wmf4) via cherry-picks of I3bc87f3a5. The patch is un-merged in master until Niklas can take a look. It doesn't look like anything uses these keys except the extension's JavaScript code, so renaming the keys instead to omit the leading underscore might be cleaner.

@Nikerabbit: I doubt I'll have the time to circle back to this, so please go ahead and do whatever you think is appropriate without waiting for my review. Feel free to update or abandon my patch if you want to solve this differently.

ori lowered the priority of this task from Unbreak Now! to Normal.May 2 2015, 10:21 PM
ori added a subscriber: Anomie.May 2 2015, 10:25 PM
Pcoombe raised the priority of this task from Normal to Unbreak Now!.May 12 2015, 4:25 PM
Pcoombe added a subscriber: Pcoombe.

While the dropdown does show up on meta now, the state still can't actually be changed with it. All options are marked with the css class "unchangeable". I was able to change state via the API though.

Raising priority since this will be blocking fundraising and other CentralNotice work.

Nemo_bis removed Nikerabbit as the assignee of this task.May 12 2015, 8:06 PM
Nemo_bis added a subscriber: Glaisher.

Niklas will be off-site for several weeks; if this is "Unbreak now", it needs another assignee.

While the dropdown does show up on meta now, the state still can't actually be changed with it. All options are marked with the css class "unchangeable". I was able to change state via the API though.

Raising priority since this will be blocking fundraising and other CentralNotice work.

yeah, I've been using the API too, somewhat wondering if a user script would be useful in the mean time. Not sure if I have time to poke around and do it before I go on vacation but would be useful if this ends up taking long.

The improved fix has been merged. Since I am traveling, I would appreciate if someone could SWAT deploy it as needed.

The improved fix has been merged. Since I am traveling, I would appreciate if someone could SWAT deploy it as needed.

Thanks Nike, if it isn't done in the morning I'll help shepherd it into the afternoon deploy. I'll probably have 1 or 2 other things in it anyway.

I intended to do this but looking at the patches I just don't feel comfortable I know enough. I'll ask around in the morning to see if anyone is willing but if anyone else is able to help then please be my guest because this is definitely important. (I'm going on vacation too so I'm concerned about the ability of others to publish banner translations when I'm not there to hack around it for the first week of the board election banners.). @ori any chance you could help this get out?

Nikerabbit closed this task as Resolved.May 14 2015, 3:50 PM

Thanks to some help from Kartik and good luck that we were online during SWAT this has been deployed.